Package org.apache.sling.api.wrappers

# Class SlingHttpServletResponseWrapper

java.lang.Object
javax.servlet.ServletResponseWrapper
javax.servlet.http.HttpServletResponseWrapper
org.apache.sling.api.wrappers.SlingHttpServletResponseWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`, `Adaptable`, `SlingHttpServletResponse`

@Deprecated public class SlingHttpServletResponseWrapper extends javax.servlet.http.HttpServletResponseWrapper implements SlingHttpServletResponse
Deprecated.
Use `SlingJakartaHttpServletResponseWrapper`
The `SlingHttpServletResponseWrapper` class is a default wrapper class around a `SlingHttpServletResponse` which may be extended to amend the functionality of the original response object. There's nothing interesting to wrap currently, as the SlingHttpServletResponse interface is empty. So this exists only for symmetry with `SlingHttpServletRequestWrapper`

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`SlingHttpServletResponseWrapper(SlingHttpServletResponse wrappedResponse)`
Deprecated.
Create a wrapper for the supplied wrappedRequest

## Method Summary

Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
`adaptTo(Class<AdapterType> type)`
Deprecated.
Adapts the adaptable to another type.
`SlingHttpServletResponse`
`getSlingResponse()`
Deprecated.
Return the original `SlingHttpServletResponse` object wrapped by this.

### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.http.HttpServletResponse

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

## Constructor Details

### SlingHttpServletResponseWrapper

public SlingHttpServletResponseWrapper(SlingHttpServletResponse wrappedResponse)
Deprecated.
Create a wrapper for the supplied wrappedRequest

Parameters:
  `wrappedResponse` - The response

## Method Details

### getSlingResponse

public SlingHttpServletResponse getSlingResponse()
Deprecated.
Return the original `SlingHttpServletResponse` object wrapped by this.

Returns:
  The wrapped response.

### adaptTo

public <AdapterType> AdapterType adaptTo(Class<AdapterType> type)
Deprecated.
Description copied from interface: `Adaptable`
Adapts the adaptable to another type.

Please note that it is explicitly left as an implementation detail whether each call to this method with the same `type` yields the same object or a new object on each call.

Implementations of this method should document their adapted types as well as their behaviour with respect to returning newly created or same instances on each call.

Specified by:
  `adaptTo` in interface `Adaptable`
Type Parameters:
  `AdapterType` - The generic type to which this object is adapted to
Parameters:
  `type` - The Class object of the target type, such as `javax.jcr.Node.class` or `java.io.File.class`
Returns:
  The adapter target or `null` if the object cannot adapt to the requested type